[Pkg-voip-commits] r3718 - in pwlib/trunk/debian: . patches

kilian at alioth.debian.org kilian at alioth.debian.org
Wed Jul 4 16:53:55 UTC 2007


Author: kilian
Date: 2007-07-04 16:53:55 +0000 (Wed, 04 Jul 2007)
New Revision: 3718

Added:
   pwlib/trunk/debian/patches/v4l2_plugin_on_i386.dpatch
Modified:
   pwlib/trunk/debian/changelog
   pwlib/trunk/debian/patches/00list
Log:
Fix compilation of V4L2 on i386.
Release pwlib (1.10.7~dfsg1-2).


Modified: pwlib/trunk/debian/changelog
===================================================================
--- pwlib/trunk/debian/changelog	2007-07-04 08:18:28 UTC (rev 3717)
+++ pwlib/trunk/debian/changelog	2007-07-04 16:53:55 UTC (rev 3718)
@@ -1,8 +1,8 @@
-pwlib (1.10.7~dfsg1-2) UNRELEASED; urgency=low
+pwlib (1.10.7~dfsg1-2) unstable; urgency=low
 
-  * NOT RELEASED YET
+  * Fix compilation of V4L2 on i386. Backport patch from upstream.
 
- -- Kilian Krause <kilian at debian.org>  Tue, 03 Jul 2007 22:23:03 +0200
+ -- Kilian Krause <kilian at debian.org>  Wed, 04 Jul 2007 18:53:12 +0200
 
 pwlib (1.10.7~dfsg1-1) unstable; urgency=low
 

Modified: pwlib/trunk/debian/patches/00list
===================================================================
--- pwlib/trunk/debian/patches/00list	2007-07-04 08:18:28 UTC (rev 3717)
+++ pwlib/trunk/debian/patches/00list	2007-07-04 16:53:55 UTC (rev 3718)
@@ -3,3 +3,4 @@
 04_names
 05_hppa
 06_plugins_shared
+v4l2_plugin_on_i386

Added: pwlib/trunk/debian/patches/v4l2_plugin_on_i386.dpatch
===================================================================
--- pwlib/trunk/debian/patches/v4l2_plugin_on_i386.dpatch	                        (rev 0)
+++ pwlib/trunk/debian/patches/v4l2_plugin_on_i386.dpatch	2007-07-04 16:53:55 UTC (rev 3718)
@@ -0,0 +1,237 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## v4l2_plugin_on_i386.dpatch by Kilian Krause <kilian at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Backport V4L2 compilation fixes from upstream revision 1.26
+
+ at DPATCH@
+diff -urNad pwlib-1.10.7~dfsg1~/plugins/configure pwlib-1.10.7~dfsg1/plugins/configure
+--- pwlib-1.10.7~dfsg1~/plugins/configure	2007-02-19 23:28:42.000000000 +0100
++++ pwlib-1.10.7~dfsg1/plugins/configure	2007-07-04 18:39:05.000000000 +0200
+@@ -4322,64 +4322,135 @@
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+-#ifdef __linux__
+-#include <linux/types.h>
+-#include <linux/time.h>
+-#else
+-#ifdef __sun
+-#include <sys/types.h>
+-#include <sys/time.h>
+-#endif
+-#endif
++		#ifdef __linux__
++		#include <linux/types.h>
++		#endif
+ 
+ 
+ #include <$VIDEODEV>
+ _ACEOF
+ rm -f conftest.$ac_objext
+-if { (ac_try="$ac_compile"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_compile") 2>conftest.er1
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && {
+-	 test -z "$ac_c_werror_flag" ||
+-	 test ! -s conftest.err
+-       } && test -s conftest.$ac_objext; then
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"
++			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest.$ac_objext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
+   eval "$as_ac_Header=yes"
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+-	eval "$as_ac_Header=no"
++eval "$as_ac_Header=no"
+ fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
++rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ fi
+-ac_res=`eval echo '${'$as_ac_Header'}'`
+-	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+-echo "${ECHO_T}$ac_res" >&6; }
++echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
++echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+ if test `eval echo '${'$as_ac_Header'}'` = yes; then
+   V4L2HDR=1
++else
++
++		    # We can't use AC_CHECK_HEADER again because
++                    # the value is cached, perhaps we have another
++                    # method to do this more cleanly ?
++		    echo "$as_me:$LINENO: checking for $VIDEODEV with sys/types.h" >&5
++echo $ECHO_N "checking for $VIDEODEV with sys/types.h... $ECHO_C" >&6
++		    cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++					#ifdef __linux__
++					#include <sys/types.h>
++					#include <linux/types.h>
++                                        #else
++                                        #ifdef __sun
++                                        #include <sys/types.h>
++                                        #include <sys/time.h>
++                                        #else
++					#error "not supported"
++					#endif
++					#endif
++
++int
++main ()
++{
++
++				        return 0;
++
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"
++			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest.$ac_objext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++
++				        V4L2HDR=1
++				        echo "$as_me:$LINENO: result: yes" >&5
++echo "${ECHO_T}yes" >&6
++
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++
++				        echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++
+ fi
++rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ 
++fi
+ 
+-  { echo "$as_me:$LINENO: checking for V4L2 video support" >&5
+-echo $ECHO_N "checking for V4L2 video support... $ECHO_C" >&6; }
++
++  echo "$as_me:$LINENO: checking for V4L2 video support" >&5
++echo $ECHO_N "checking for V4L2 video support... $ECHO_C" >&6
+   if test "${V4L2HDR}z" != "z"; then
+     HAS_V4L2=1
+ 
+-    { echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6; }
++    echo "$as_me:$LINENO: result: yes" >&5
++echo "${ECHO_T}yes" >&6
+   else
+-    { echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6; }
++    echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
+   fi
+ fi
+ 
+diff -urNad pwlib-1.10.7~dfsg1~/plugins/configure.in pwlib-1.10.7~dfsg1/plugins/configure.in
+--- pwlib-1.10.7~dfsg1~/plugins/configure.in	2007-02-19 23:28:42.000000000 +0100
++++ pwlib-1.10.7~dfsg1/plugins/configure.in	2007-07-04 18:37:37.000000000 +0200
+@@ -133,18 +133,43 @@
+   else
+     VIDEODEV="linux/videodev2.h"
+   fi
+-  AC_CHECK_HEADER($VIDEODEV, [V4L2HDR=1], [], 
+-[
+-#ifdef __linux__
+-#include <linux/types.h>
+-#include <linux/time.h>
+-#else
+-#ifdef __sun
+-#include <sys/types.h>
+-#include <sys/time.h>
+-#endif
+-#endif
+-])
++  AC_CHECK_HEADER($VIDEODEV, 
++                  [V4L2HDR=1],
++                  [
++		    # We can't use AC_CHECK_HEADER again because
++                    # the value is cached, perhaps we have another
++                    # method to do this more cleanly ?
++		    AC_MSG_CHECKING([for $VIDEODEV with sys/types.h])
++		    AC_TRY_COMPILE([
++					#ifdef __linux__
++					#include <sys/types.h>
++					#include <linux/types.h>
++                                        #else
++                                        #ifdef __sun
++                                        #include <sys/types.h>
++                                        #include <sys/time.h>
++                                        #else
++					#error "not supported"
++					#endif
++					#endif
++					#include "$VIDEODEV"
++				    ],
++				    [
++				        return 0;
++				    ],
++				    [
++				        V4L2HDR=1
++				        AC_MSG_RESULT(yes)
++				    ],
++                                    [
++				        AC_MSG_RESULT(no)
++                                    ])
++                  ], 
++		[
++		#ifdef __linux__
++		#include <linux/types.h>
++		#endif
++		])
+   AC_MSG_CHECKING(for V4L2 video support)
+   if test "${V4L2HDR}z" != "z"; then
+     AC_SUBST(HAS_V4L2, 1)


Property changes on: pwlib/trunk/debian/patches/v4l2_plugin_on_i386.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-voip-commits mailing list